hifrog - Bug #4681

wrong result/core dump in Directory:main-bench/funfrog_regression/06_globals
07/03/2017 09:38 - Sepideh Asadi

Status: Closed Start date: 07/03/2017
Priority: Normal Due date:

Assignee: Karine Even Mendoza % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Hifrog fails (verification failed) for the following benchmarks, while CBMC verifies correctly.

Directory:main-bench/funfrog_regression/06_globals/main3
/main4
/main5
/main6
/main7
/main8

History

#1 - 07/03/2017 18:22 - Karine Even Mendoza

Horrible bug related to renaming in new CPROVER framework.

#2 - 09/03/2017 20:41 - Karine Even Mendoza
- Assignee set to Karine Even Mendoza

- % Done changed from 0 to 100

Hopefully it is done now

#3 - 14/03/2017 14:35 - Karine Even Mendoza

- Status changed from New to Resolved

#4 - 16/03/2017 06:56 - Sepideh Asadi
- File global-main7-prop.png added
- File global_main5_pop.png added

- Subject changed from wrong result in Directory:main-bench/funfrog_regression/06_globals to wrong result/core dump in
Directory:main-bench/funfrog_regression/06_globals

- Status changed from Resolved to In Progress

- % Done changed from 100 to 50

new bugs:

./hifrog ~/dev/hi-bench/main-bench/funfrog_regression/06_globals/main8.c --claim 1 --logic gflra >> failed >> what it supposed to be in
LRA?UNSAT?

/hifrog ~/dev/hi-bench/main-bench/funfrog_regression/06_globals/main7.c --claim 1 --logic prop >> core dumped >>screenshot attached.

Interpolant for function: __ CPROVER _initialize is trivial.
hifrog: solvers/prop_itp.cpp:365: void prop_itpt::generalize(const prop_conv_solvert&, const std::vector<symbol_exprt>&): Assertion “idx >= 0' failed.
Aborted (core dumped)

./hifrog ~/dev/hi-bench/main-bench/funfrog_regression/06_globals/main7.c --claim 1 --logic gflra >>failed

./hifrog ~/dev/hi-bench/main-bench/funfrog_regression/06_globals/main5.c --claim 1 --logic gflra >>failed
./hifrog ~/dev/hi-bench/main-bench/funfrog_regression/06_globals/main5.c --claim 1 --logic prop  >> core dumped >>screenshot attached.

#5 - 04/04/2017 14:51 - Karine Even Mendoza
- % Done changed from 50 to 70

Left only with main5.c - the rest is working.

hifrog: solvers/prop_itp.cpp:369: void prop_itpt::generalize(const prop_conv_solvert&, const std::vector<symbol_exprt>&): Assertion “idx >= 0' failed.
../hifrog_theory_ref/hifrog/trunk/cprover/src/funfrog/hifrog --claim 1 main-bench/funfrog_regression/06_globals/main5.c --logic prop

#6 - 02/05/2017 23:22 - Karine Even Mendoza
- % Done changed from 70 to 80

main5.c --logic prop fails in cnf.

The rest is working

#7 - 03/05/2017 13:19 - Karine Even Mendoza

Verification failed for all theories for main5.c as well main7.c

#8 - 10/05/2017 19:56 - Karine Even Mendoza

All ok but main5

RESULT

SOLVER TIME: 0.625

UNSAT - it holds!

ASSERTION IS TRUE

Start generating interpolants...

hifrog: solvers/prop_itp.cpp:370: void prop_itpt::generalize(const prop_conv_solvert&, const std::vector<symbol_exprt>&): Assertion “idx >= 0 &&

"Failed to generalize interpolant; Index of represented_symbol is out of bound™ failed.
Aborted (core dumped)

#9 - 28/05/2017 10:46 - Karine Even Mendoza

Works good for all, except this test case:

Jhifrog ../../../../..]../hi-bench/main-bench/funfrog_regression/06_globals/main5.c --logic prop --claim 2

But for ./hifrog ../../../../../../hi-bench/main-bench/funfrog_regression/06_globals/main5.c --logic prop, will work just fine.

#10 - 05/06/2017 19:33 - Karine Even Mendoza

fixed. Was a bug of cutting the code after the line of assert

#11 - 05/06/2017 19:34 - Karine Even Mendoza
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Files
